# Class AttachPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sun.tools.attach.AttachPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class AttachPermission extends BasicPermission
An `AttachPermission` object contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.6
See Also:
  - `VirtualMachine`
  - `AttachProvider`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AttachPermission(String name)`
Constructs a new AttachPermission object.
`AttachPermission(String name, String actions)`
Constructs a new AttachPermission object.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttachPermission

public AttachPermission(String name)
Constructs a new AttachPermission object.

Parameters:
  `name` - Permission name. Must be either "attachVirtualMachine", or "createAttachProvider".
Throws:
  `NullPointerException` - if name is `null`.
  `IllegalArgumentException` - if the name is invalid.

### AttachPermission

public AttachPermission(String name, String actions)
Constructs a new AttachPermission object.

Parameters:
  `name` - Permission name. Must be either "attachVirtualMachine", or "createAttachProvider".
  `actions` - Not used and should be `null`, or the empty string.
Throws:
  `NullPointerException` - if name is `null`.
  `IllegalArgumentException` - if arguments are invalid.